Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006682Arma 3Configpublic2013-04-03 11:142013-08-07 19:24
ReporterChortles 
Assigned Topettka 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWindows 8OS VersionPro
Product Version 
Target VersionFixed in Version0.56.104.778 
14 vote(s) 100,00%
vote(s) 0,00%
Summary0006682: Dev build MXM rechambered for 6.5 mm but still using 7.62 mm suppressor
DescriptionUsing dev build 0.53.103608, I see that the MXM is now described as a "MXM 6.5 mm" in caliber 6.5 x 39 mm, and that the tooltip descriptions the "6.5mm 30Rnd STANAG Mag" and the "6.5mm 100Rnd Tracer (Red) Belt Case" magazines both list the MXM as among their compatible weapons. However the weapon is not compatible with the Sound Suppressor (6.5 mm NATO) but rather still compatible only with the Sound Suppressor (7.62 mm) despite now only being only compatible with and loading the 6.5 x 39 mm STANAG caseless magazines used in all of the MX series rifles.

EDIT: The issue persists as of dev build 0.55.103960 and stable build 0.54.103957.
Steps To ReproduceUsing the Editor as of dev build 0.53.103696:
1. Place a BLUFOR Marksman somewhere in Stratis.
2. Add to the Marksman's init: this addPrimaryWeaponItem "muzzle_snds_B"
3. Place a [BLUE] Basic Ammo box in front of the Marksman.
3. Click Preview, then once in the game world "aim" at the ammo box until the action menu option for "Inventory" is available and select that option.
4. Drag a "6.5mm 30Rnd STANAG Mag" from the crate tab into the MXM's magazine slot.
5. After the loading animation concludes, mouse over the 2D pictures of the MXM, the inserted magazine and the suppressor and read their tooltips.

ALTERNATELY
1. Place a unit somewhere in Stratis.
2. Add to the unit's init: removeAllWeapons this; this addMagazine "30Rnd_65x39_caseless_mag"; this addWeapon "arifle_MXM_f"; this addPrimaryWeaponItem "muzzle_snds_B"
3. Click Preview.
4. Press the Inventory key, then mouse over the weapon, its magazine and its muzzle accessory and read their tooltips.

ALTERNATELY
1. Place a Marksman somewhere in Stratis.
2. Add to the Marksman's init: this addPrimaryWeaponItem "muzzle_snds_B"
3. Click Preview.
4. Press the Inventory key, then and mouse over the weapon and its muzzle accessory and read their tooltips.
Additional InformationThis issue was discovered while I was reproducing and verifying ticket ID # 0006667, "Wrong Ammunition marksman" ( http://feedback.arma3.com/view.php?id=6667 [^] ).

The included screenshot is submitted as visual proof of this issue being reproduced using both of the alternate methods, as well as visual proof of ticket # 0006667.
TagsNo tags attached.
Game VersionArma 3 Alpha Dev
Attached Filesjpg file icon 2013-04-03_00004.jpg [^] (699,491 bytes) 2013-04-03 11:14
jpg file icon 2013-04-03_00005.jpg [^] (697,312 bytes) 2013-04-03 11:20

- Relationships
has duplicate 0007279closed MXM Rifle incorrect Supressor. 

-  Notes
(0018323)
Chortles (reporter)
2013-04-03 19:42

One may also place a BLUFOR Support box before clicking Preview, and upon using it may be found that the Sound Suppressor (6.5 mm) is not compatible with the MXM.
(0021160)
MadDogX (moderator)
2013-04-16 14:16

This is supposedly fixed in the latest dev build. Can anyone confirm?
(0021272)
Sniperwolf572 (moderator)
2013-04-16 18:34

Confirming that MXM now uses 6.5 mm suppressor instead of the 7.62 mm.

As for the magazines, the 100 round mag still lists MXM as a compatible weapon but it can't be loaded onto MXM.
(0021345)
Fireball (moderator)
2013-04-17 01:06

We might need a different ticket for the ammunition.
(0046771)
Fireball (moderator)
2013-08-07 19:24

Mass close.

- Issue History
Date Modified Username Field Change
2013-04-03 11:14 Chortles New Issue
2013-04-03 11:14 Chortles File Added: 2013-04-03_00004.jpg
2013-04-03 11:20 Chortles File Added: 2013-04-03_00005.jpg
2013-04-03 11:23 Chortles Steps to Reproduce Updated View Revisions
2013-04-03 11:23 Chortles Additional Information Updated View Revisions
2013-04-03 19:42 Chortles Note Added: 0018323
2013-04-03 21:06 Chortles Description Updated View Revisions
2013-04-03 21:06 Chortles Steps to Reproduce Updated View Revisions
2013-04-05 12:21 Chortles Description Updated View Revisions
2013-04-10 18:51 Chortles Description Updated View Revisions
2013-04-10 19:41 Chortles Description Updated View Revisions
2013-04-12 08:00 pettka Assigned To => pettka
2013-04-12 08:00 pettka Status new => assigned
2013-04-15 21:11 MadDogX Relationship added has duplicate 0007279
2013-04-16 08:57 Chortles Description Updated View Revisions
2013-04-16 14:16 MadDogX Note Added: 0021160
2013-04-16 18:34 Sniperwolf572 Note Added: 0021272
2013-04-17 01:06 Fireball Note Added: 0021345
2013-04-17 01:06 Fireball Status assigned => resolved
2013-04-17 01:06 Fireball Fixed in Version => 0.56.104.778
2013-04-17 01:06 Fireball Resolution open => fixed
2013-08-07 19:24 Fireball Note Added: 0046771
2013-08-07 19:24 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team